-- Schema: C6Staging
-- Stored Procedure: RP_ST_Progetto_Robo



CREATE   procedure [C6Staging].[RP_ST_Progetto_Robo] as

begin 

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Progetto_Robo',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	--drop table c6staging.RP_Progetto
	truncate table c6staging.RP_Progetto_Robo

	insert into c6staging.RP_Progetto_Robo (
	  [chiaveProgetto]
      ,[flagUtilizzoLiquidita]
      ,[Iban_codiceContrattoCC]
      ,[ctvSogliaCC]
      ,[minimoMantenimentoSuCC]
      ,[listTagFondiDaUtilizzare]
      ,[percentualeFogli]
      ,[percentualeFondi]
      ,[chiaveclientepb]
      ,[dt_inserimento]
      ,[dt_aggiornamento]
      ,[FlagCsv]
      ,[isProgettoRobo]  )

	select  
	 [chiaveProgetto]
      ,[flagUtilizzoLiquidita]
      ,[Iban_codiceContrattoCC]
      ,[ctvSogliaCC]
      ,[minimoMantenimentoSuCC]
      ,[listTagFondiDaUtilizzare]
      ,[percentualeFogli]
      ,[percentualeFondi]
      ,[chiaveclientepb]
      ,[dt_inserimento]
      ,[dt_aggiornamento]
      ,[FlagCsv]
	  ,'S'
	
	from CONSUNI.ConsulenzaUnica.dbo.[Robo_ProgettoRobo]

	
	
	
	
	
	
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Progetto_Robo' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Progetto_Robo'
		)
	
end




